<?php
/* Revolution Slider support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'confix_revslider_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'confix_revslider_theme_setup9', 9 );
	function confix_revslider_theme_setup9() {
		if ( is_admin() ) {
			add_filter( 'confix_filter_tgmpa_required_plugins', 'confix_revslider_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( ! function_exists( 'confix_revslider_tgmpa_required_plugins' ) ) {
	
	function confix_revslider_tgmpa_required_plugins( $list = array() ) {
		if ( confix_storage_isset( 'required_plugins', 'revslider' ) && confix_storage_get_array( 'required_plugins', 'revslider', 'install' ) !== false && confix_is_theme_activated() ) {
			$path = confix_get_plugin_source_path( 'plugins/revslider/revslider.zip' );
			if ( ! empty( $path ) || confix_get_theme_setting( 'tgmpa_upload' ) ) {
				$list[] = array(
					'name'     => confix_storage_get_array( 'required_plugins', 'revslider', 'title' ),
					'slug'     => 'revslider',
					'source'   => ! empty( $path ) ? $path : 'upload://revslider.zip',
					'version'  => '6.7.10',
					'required' => false,
				);
			}
		}
		return $list;
	}
}

// Check if RevSlider installed and activated
if ( ! function_exists( 'confix_exists_revslider' ) ) {
	function confix_exists_revslider() {
		return function_exists( 'rev_slider_shortcode' );
	}
}
