<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'confix_tribe_events_get_css' ) ) {
	add_filter( 'confix_filter_get_css', 'confix_tribe_events_get_css', 10, 2 );
	function confix_tribe_events_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title,
.tribe-common .tribe-common-cta{
	{$fonts['h3_font-family']}
}
a.tribe-events-c-top-bar__today-button,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a,
.single-tribe_events a.tribe-events-gcal,
.single-tribe_events a.tribe-events-gcal:hover,
.single-tribe_events a.tribe-events-ical,
.single-tribe_events a.tribe-events-ical:hover{
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2,
.tribe-common .tribe-common-h6 {
	{$fonts['h5_font-family']}
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item,
.tribe-events-page-template .tribe-common .tribe-events-c-top-bar__datepicker-container *,
.tribe-events-page-template .tribe-common .tribe-events .datepicker .day,
.tribe-events-page-template .tribe-common .tribe-events .datepicker .dow,
.tribe-events-page-template .tribe-common .tribe-events .datepicker .datepicker-switch,
.tribe-events-page-template .tribe-common .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-events-page-template .tribe-common .tribe-events-c-top-bar__today-button,
.tribe-events-page-template .tribe-common #tribe-events-events-bar-keyword,
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title,
.tribe-common .tribe-common-h4,
.tribe-common .tribe-common-b3,
.tribe-common .tribe-common-c-btn-border,
.tribe-common a.tribe-common-c-btn-border,
.tribe-events .tribe-events-c-view-selector__list-item-text,
.tribe-common .tribe-common-c-btn,
.tribe-common a.tribe-common-c-btn,
.tribe-common .tribe-common-b2,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8,
.tribe-common .tribe-common-h2,
.tribe-common .tribe-common-h3,
.tribe-common .tribe-common-h5,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.event-tickets.tribe-common .tribe-common-h8,
.event-tickets.tribe-common .tribe-common-h7,
.event-tickets.tribe-common .tribe-common-h6,
.event-tickets.tribe-common .tribe-common-h4,
.event-tickets.tribe-common .tribe-common-h2,
.event-tickets.tribe-common .tribe-common-b1,
.event-tickets.tribe-common .tribe-common-b2 {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS
a.tribe-events-c-top-bar__today-button,
#tribe-bar-form .tribe-bar-submit input[type="submit"],
#tribe-bar-form button,
#tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button,
.tribe-events-sub-nav li a {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['text_dark']};
	border-color: {$colors['bd_color']};
}

.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}

/* Content */
.tribe-events-calendar thead th {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']} !important;
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['extra_dark']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar th {
	border-color: {$colors['bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"],
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
	background: {$colors['bd_color']};
}
.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['alter_bg_color']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['alter_light']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_light']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['text_link']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['extra_bg_color']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] {
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"] a{
	color: {$colors['bg_color']};
}

#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}
.events-archive.events-gridview #tribe-events-content table .type-tribe_events {
	border-color: {$colors['bd_color']};
}
#tribe-events-content .tribe-events-calendar td{
     background: {$colors['alter_bg_color']} !important;
}
.tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"], .tribe-events-calendar td.tribe-events-othermonth.tribe-events-future div[id*="tribe-events-daynum-"] > a{
     background: {$colors['bd_color']} !important;
}
#tribe-events-content .tribe-events-calendar th + th{
    border-color: {$colors['extra_bd_hover']}!important;
}
/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-shortcode.view-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
}
#tribe-events-content .tribe-events-tooltip .summary { 
	color: {$colors['text_dark']};
	background: {$colors['text_link3']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['text_dark']};
}

/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list-separator-month span {
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['text_dark']};
	border-color: {$colors['bg_color']};
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span.ticket-cost:before {
	color: {$colors['extra_dark']};
	background-color: {$colors['text_dark']};	
}


.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

.single-tribe_events #tribe-events-footer,
.tribe-events-day #tribe-events-footer,
.events-list #tribe-events-footer,
.tribe-events-map #tribe-events-footer,
.tribe-events-photo #tribe-events-footer {
	border-color: {$colors['bd_color']};	
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5,
.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}



/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
	background: {$colors['alter_bg_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}
#tribe-events-header .tribe-events-sub-nav li a,
#tribe-events-footer .tribe-events-sub-nav li a{
    color: {$colors['text_link']};
}
#tribe-events-header .tribe-events-sub-nav li a:hover,
#tribe-events-footer .tribe-events-sub-nav li a:hover{
    color: {$colors['text_hover']};
}
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button:before,
.single-tribe_events .tribe-events-cal-links .tribe-events-gcal:before,
.tribe-events .tribe-events-c-ical__link:before{
    border-color: {$colors['text_dark']};
}
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button:hover,
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button:focus,
.single-tribe_events .tribe-events-cal-links .tribe-events-gcal:hover,
.single-tribe_events .tribe-events-cal-links .tribe-events-gcal:focus{
    color: {$colors['inverse_text']}!important;
	border-color: {$colors['text_dark']}!important;
	background-color: {$colors['text_dark']}!important;
}
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active, 
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus, 
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, 
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button,
.tribe-common .tribe-events-c-top-bar__today-button {
    color: {$colors['inverse_link']};
	border-color: {$colors['text_dark']};
	background-color: {$colors['text_dark']};
}

.tribe-common .tribe-events-c-top-bar__today-button:hover {
	color: {$colors['inverse_link']};
	border-color: {$colors['text_link_blend']};
	background-color: {$colors['text_link_blend']};
}
.datepicker table tr td span:hover{
    background-color: {$colors['text_dark']}; 
    color: {$colors['text_hover3']};
}
.datepicker table tr td span.active.active{
    background-color: {$colors['text_link']};
}
.tribe-tickets__item__quantity .tribe-tickets__item__quantity__remove, .tribe-tickets__item__quantity .tribe-tickets__item__quantity__add{
    background-color: {$colors['bg_color']};
    color: {$colors['text_dark']};
}
.tribe-tickets__item__quantity .tribe-tickets__item__quantity__remove:hover,
.tribe-tickets__item__quantity .tribe-tickets__item__quantity__remove:focus, 
.tribe-tickets__item__quantity .tribe-tickets__item__quantity__add:hover,
.tribe-tickets__item__quantity .tribe-tickets__item__quantity__add:focus{
    background-color: {$colors['bg_color']};
    color: {$colors['text_hover3']};
}
.tribe-events .datepicker .day.active, .tribe-events .datepicker .day.active.focused, .tribe-events .datepicker .day.active:focus, .tribe-events .datepicker .day.active:hover, .tribe-events .datepicker .month.active, .tribe-events .datepicker .month.active.focused, .tribe-events .datepicker .month.active:focus, .tribe-events .datepicker .month.active:hover, .tribe-events .datepicker .year.active, .tribe-events .datepicker .year.active.focused, .tribe-events .datepicker .year.active:focus, .tribe-events .datepicker .year.active:hover{
  background-color: {$colors['extra_bg_color']};
}
.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner{
    background-color: {$colors['alter_bd_color']};
}
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date .tribe-events-calendar-month__day-date-daynum,
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date, .tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link{
     color: {$colors['text_hover3']};
}
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:focus, .tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link:hover{
    color: {$colors['text_link']};
}
.tribe-events .tribe-events-calendar-month__mobile-events-icon--event{
    background-color: {$colors['text_hover']};
}
.tribe-events .tribe-events-calendar-month__day-cell--selected, .tribe-events .tribe-events-calendar-month__day-cell--selected:focus, .tribe-events .tribe-events-calendar-month__day-cell--selected:hover{
    background-color: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-loader__dot{
    background-color: {$colors['extra_bg_color_05']};
}
.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-events .tribe-events-c-view-selector__button:before{
     background-color: {$colors['text_dark']};
}

.tribe-events .tribe-events-calendar-day__event-title-link,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link,
.tribe-events .tribe-events-calendar-list__event-title-link{
     color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-day__event-title-link:hover,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-title-link:hover,
.tribe-events .tribe-events-calendar-list__event-title-link:hover{
     color: {$colors['text_hover']};
}
.tribe-events .tribe-events-c-view-selector__list-item-text,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-common .tribe-common-h3,
.tribe-common .tribe-common-h5,
.tribe-common .tribe-common-h6,
.tribe-common .tribe-common-h7,
.tribe-common .tribe-common-h8,
.tribe-events .tribe-events-calendar-list__event-datetime,
.tribe-events-meta-group .tribe-events-single-section-title,
.tribe-events .datepicker .day,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year,
.tribe-events .datepicker .dow {
	color: {$colors['text_dark']};
}
.tribe-common .tribe-common-b3,
.tribe-common .tribe-common-b2 {
	color: {$colors['text']};
}
.tribe-events .tribe-events-calendar-month__day-date-daynum,
.tribe-events .tribe-events-calendar-month__day--past .tribe-events-calendar-month__day-date-link,
.tribe-events .datepicker .past,
.tribe-events .datepicker .day.past,
.tribe-events .datepicker .month.past,
.tribe-events .datepicker .year.past {
	color: {$colors['text_light']};
}

.tribe-events .tribe-events-c-view-selector__list-item-link:focus .tribe-events-c-view-selector__list-item-text,
.tribe-events .tribe-events-c-view-selector__list-item-link:hover .tribe-events-c-view-selector__list-item-text {
	color: {$colors['text_link']};
}

.tribe-events .datepicker .day.focused,
.tribe-events .datepicker .day:focus,
.tribe-events .datepicker .day:hover,
.tribe-events .datepicker .month.focused,
.tribe-events .datepicker .month:focus,
.tribe-events .datepicker .month:hover,
.tribe-events .datepicker .year.focused,
.tribe-events .datepicker .year:focus,
.tribe-events .datepicker .year:hover {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}
.tribe-common .tribe-common-b2,
.entry .entry-content .tribe-common .tribe-tickets__title, .tribe-common .tribe-tickets__title,
.tribe-events .tribe-events-c-events-bar .tribe-common-form-control-text__input,
.tribe-events .tribe-events-c-search__input-control-icon-svg,
.tribe-events .tribe-events-calendar-month__day-date-link,
.tribe-events .datepicker .day {
	color: {$colors['text_dark']};
}

.tribe-events .datepicker .dow,
.tribe-events .datepicker .day.active,
.tribe-events .datepicker .datepicker-switch {
	color: {$colors['extra_dark']};
}
.datepicker .datepicker-switch:hover,
.datepicker .next:hover,
.datepicker .prev:hover,
.datepicker tfoot tr th:hover {
    color: {$colors['text_hover3']};
	background-color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__day-cell--mobile:focus,
.tribe-events .tribe-events-calendar-month__day-cell--mobile:hover,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list {
	background-color: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bg_color']};
}

.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item:hover {
	background-color: {$colors['bg_color']};
}
.tribe-common.tribe-tickets,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-events-bar--border {
	border-color: {$colors['bd_color']};
	background-color: {$colors['bg_color']};
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__next-icon-svg path,
.tribe-common .tribe-common-c-svgicon__svg-fill,
.tribe-common .tribe-common-c-btn-icon--caret-left:disabled .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right:disabled .tribe-common-c-btn-icon__icon-svg path {
	fill: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-btn-icon--caret-left .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right .tribe-common-c-btn-icon__icon-svg path {
	fill: {$colors['text_light']};
}
.tribe-events .tribe-events-c-nav__prev:disabled .tribe-events-c-nav__prev-icon-svg path {
	fill: {$colors['text']};
}
.tribe-common .tribe-common-c-btn-icon--caret-left:active .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-left:focus .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-left:hover .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right:active .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right:focus .tribe-common-c-btn-icon__icon-svg path,
.tribe-common .tribe-common-c-btn-icon--caret-right:hover .tribe-common-c-btn-icon__icon-svg path {
	fill: {$colors['text_link']};
}
.tribe-events .datepicker .next:active .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .next:focus .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .next:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:active .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:focus .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev:hover .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['text_hover']};
}
.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['extra_dark']};
}

.entry .entry-content .tribe-common .tribe-tickets__attendee__fields__footer_checkout-button.tribe-common-c-btn:focus,
.entry .entry-content .tribe-common .tribe-tickets__attendee__fields__footer_checkout-button.tribe-common-c-btn:hover,
.entry .entry-content .tribe-common .tribe-tickets__buy.tribe-common-c-btn:focus,
.entry .entry-content .tribe-common .tribe-tickets__buy.tribe-common-c-btn:hover,
.tribe-common .tribe-tickets__attendee__fields__footer_checkout-button.tribe-common-c-btn:focus,
.tribe-common .tribe-tickets__attendee__fields__footer_checkout-button.tribe-common-c-btn:hover,
.tribe-common .tribe-tickets__buy.tribe-common-c-btn:focus,
.tribe-common .tribe-tickets__buy.tribe-common-c-btn:hover {
	border-color: {$colors['text_link']};
	background-color: {$colors['text_link']};
}
.event-tickets .tribe-tickets__commerce-checkout-header-link-back-to-event,
.event-tickets .tribe-tickets__commerce-checkout-header-link-back-to-event:focus,
.event-tickets .tribe-tickets__commerce-checkout-header-link-back-to-event:hover,
.event-tickets .tribe-tickets__commerce-checkout-header-link-back-to-event:visited,
.event-tickets .tribe-tickets__commerce-checkout-header-link-modify-attendees,
.event-tickets .tribe-tickets__commerce-checkout-header-link-modify-attendees:focus,
.event-tickets .tribe-tickets__commerce-checkout-header-link-modify-attendees:hover,
.event-tickets .tribe-tickets__commerce-checkout-header-link-modify-attendees:visited,
.tribe-common .tribe-tickets__commerce-checkout-header-link-back-to-event,
.tribe-common .tribe-tickets__commerce-checkout-header-link-back-to-event:focus,
.tribe-common .tribe-tickets__commerce-checkout-header-link-back-to-event:hover,
.tribe-common .tribe-tickets__commerce-checkout-header-link-back-to-event:visited,
.tribe-common .tribe-tickets__commerce-checkout-header-link-modify-attendees, 
.tribe-common .tribe-tickets__commerce-checkout-header-link-modify-attendees:focus,
.tribe-common .tribe-tickets__commerce-checkout-header-link-modify-attendees:hover, 
.tribe-common .tribe-tickets__commerce-checkout-header-link-modify-attendees:visited {
	color: {$colors['text_link']};
	border-color: {$colors['text_link']};
}
.tribe-common .tribe-common-b1,
.event-tickets.tribe-common .tribe-common-h2,
.event-tickets .tribe-tickets__commerce-checkout-cart-footer-quantity-number,
.event-tickets .tribe-tickets__commerce-checkout-cart-footer-total-number,
.event-tickets .tribe-tickets__commerce-checkout-cart-footer-total-wrap,
.tribe-common .tribe-tickets__commerce-checkout-cart-footer-quantity-number,
.tribe-common .tribe-tickets__commerce-checkout-cart-footer-total-number,
.tribe-common .tribe-tickets__commerce-checkout-cart-footer-total-wrap {
	color: {$colors['text_dark']};
}

.event-tickets .tribe-tickets__commerce-checkout-cart-footer-quantity, 
.event-tickets .tribe-tickets__commerce-checkout-cart-footer-total, 
.tribe-common .tribe-tickets__commerce-checkout-cart-footer-quantity, 
.tribe-common .tribe-tickets__commerce-checkout-cart-footer-total {
	color: {$colors['text_light']};
}
.entry .entry-content .tribe-common .tribe-tickets__item,
.tribe-common .tribe-tickets__item,
.entry .entry-content .tribe-common .tribe-tickets__footer,
.tribe-common .tribe-tickets__footer {
	border-color: {$colors['bd_color']};
}

.tribe-events .tribe-events-c-messages__message {
	background: {$colors['alter_bg_color']};
}

.tribe-events .tribe-events-c-messages__message .tribe-events-c-messages__message-list-item-link {
	color: {$colors['text_link']};
}
.tribe-events .tribe-events-c-messages__message .tribe-events-c-messages__message-list-item-link:hover {
	color: {$colors['text_hover']};
}
.tribe-common .tribe-common-anchor-thin-alt {
	border-color: {$colors['text_link']};
}
.tribe-common .tribe-common-c-svgicon--messages-not-found path {
    stroke: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-svgicon,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime {
    color: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-svgicon--messages-not-found path.tribe-common-c-svgicon__svg-stroke {
	stroke: {$colors['text_link']};
}

/* add bg to header (over-slider layout) of 404 event */
body.error404.tribe-events-page-template header.top_panel_custom_header-over-slider.without_bg_image {
	background-color: {$colors['alter_link']};
}

CSS;
		}

		return $css;
	}
}

