<?php
/* ThemeREX Popup
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('confix_trx_popup_theme_setup9')) {
    add_action('after_setup_theme', 'confix_trx_popup_theme_setup9', 9);
    function confix_trx_popup_theme_setup9()
    {
        if (confix_exists_trx_popup()) {
            add_action('wp_enqueue_scripts', 'confix_trx_popup_frontend_styles', 1100);
            add_filter('confix_filter_merge_styles', 'confix_trx_popup_merge_styles');
        }

        // Add plugin-specific colors and fonts to the custom CSS
        if (confix_exists_trx_popup()) {
            require_once confix_get_file_dir('plugins/trx_popup/trx_popup-style.php');
        }

        // Add admin panel integration
        if ( is_admin() ) {
            add_filter( 'confix_filter_tgmpa_required_plugins', 'confix_trx_popup_tgmpa_required_plugins' );
        }
    }
}

// Enqueue custom scripts
if (!function_exists('confix_trx_popup_frontend_styles')) {
    
    function confix_trx_popup_frontend_styles()
    {
        if (confix_is_on(confix_get_theme_option('debug_mode'))) {
            $confix_url = confix_get_file_url('plugins/trx_popup/trx_popup.css');
            if ('' != $confix_url) {
                wp_enqueue_style( 'confix-trx-popup', $confix_url, array(), null);
            }
        }
    }
}

// Merge custom scripts
if (!function_exists('confix_trx_popup_merge_styles')) {
    
    function confix_trx_popup_merge_styles($list)
    {
        $list[] = 'plugins/trx_popup/trx_popup.css';
        return $list;
    }
}
