<?php
/**
 * Required plugins
 *
 * @package CONFIX
 * @since CONFIX 1.76.0
 */

// THEME-SUPPORTED PLUGINS
// If plugin not need - remove its settings from next array
//----------------------------------------------------------
$confix_theme_required_plugins_groups = array(
	'core'          => esc_html__( 'Core', 'confix' ),
	'page_builders' => esc_html__( 'Page Builders', 'confix' ),
	'ecommerce'     => esc_html__( 'E-Commerce & Donations', 'confix' ),
	'socials'       => esc_html__( 'Socials and Communities', 'confix' ),
	'events'        => esc_html__( 'Events and Appointments', 'confix' ),
	'content'       => esc_html__( 'Content', 'confix' ),
	'other'         => esc_html__( 'Other', 'confix' ),
);
$confix_theme_required_plugins        = array(
	'trx_addons'                 => array(
		'title'       => esc_html__( 'ThemeREX Addons', 'confix' ),
		'description' => esc_html__( "Will allow you to install recommended plugins, demo content, and improve the theme's functionality overall with multiple theme options", 'confix' ),
		'required'    => true,
		'logo'        => 'trx_addons.png',
		'group'       => $confix_theme_required_plugins_groups['core'],
	),
	'elementor'                  => array(
		'title'       => esc_html__( 'Elementor', 'confix' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'confix' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $confix_theme_required_plugins_groups['page_builders'],
	),
    'essential-addons-for-elementor-lite'                  => array(
		'title'       => esc_html__( 'Essential Addons for Elementor', 'confix' ),
		'description' => esc_html__( "Is a beautiful PageBuilder, even the free version of which allows you to create great pages using a variety of modules.", 'confix' ),
		'required'    => false,
		'logo'        => 'elementor.png',
		'group'       => $confix_theme_required_plugins_groups['page_builders'],
	),
	'gutenberg'                  => array(
		'title'       => esc_html__( 'Gutenberg', 'confix' ),
		'description' => esc_html__( "It's a posts editor coming in place of the classic TinyMCE. Can be installed and used in parallel with Elementor", 'confix' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'gutenberg.png',
		'group'       => $confix_theme_required_plugins_groups['page_builders'],
	),
	'js_composer'                => array(
		'title'       => esc_html__( 'WPBakery PageBuilder', 'confix' ),
		'description' => esc_html__( "Popular PageBuilder which allows you to create excellent pages", 'confix' ),
		'required'    => false,
		'install'     => false,          // Do not offer installation of the plugin in the Theme Dashboard and TGMPA
		'logo'        => 'js_composer.jpg',
		'group'       => $confix_theme_required_plugins_groups['page_builders'],
	),
	
	'revslider'                  => array(
		'title'       => esc_html__( 'Revolution Slider', 'confix' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'revslider.png',
		'group'       => $confix_theme_required_plugins_groups['content'],
	),
	
	'contact-form-7'             => array(
		'title'       => esc_html__( 'Contact Form 7', 'confix' ),
		'description' => esc_html__( "CF7 allows you to create an unlimited number of contact forms", 'confix' ),
		'required'    => false,
		'logo'        => 'contact-form-7.png',
		'group'       => $confix_theme_required_plugins_groups['content'],
	),
	
	'wp-gdpr-compliance'         => array(
		'title'       => esc_html__( 'Cookie Information', 'confix' ),
		'description' => esc_html__( "Allow visitors to decide for themselves what personal data they want to store on your site", 'confix' ),
		'required'    => false,
		'install'     => false,
		'logo'        => 'wp-gdpr-compliance.png',
		'group'       => $confix_theme_required_plugins_groups['other'],
	),
    
    'advanced-popups'             => array(
        'title'       => esc_html__( 'Advanced Popups', 'confix' ),
        'description' => esc_html__( "Advanced Popups", 'confix' ),
        'required'    => false,
        'logo'        => 'popups-icon.png',
        'group'       => $confix_theme_required_plugins_groups['content'],
    ),

	 'instagram-feed'             => array(
		'title'       => esc_html__( 'Smash Balloon Instagram Feed', 'confix' ),
		'description' => esc_html__( "Displays the latest photos from your profile on Instagram", 'confix' ),
		'required'    => false,
		'logo'        => 'instagram-feed.png',
		'group'       => $confix_theme_required_plugins_groups['socials'],
	),

	'the-events-calendar'        => array(
		'title'       => esc_html__( 'The Events Calendar', 'confix' ),
		'description' => '',
		'required'    => false,
		'logo'        => 'the-events-calendar.png',
		'group'       => $confix_theme_required_plugins_groups['events'],
	),
	'trx_updater'                => array(
		'title'       => esc_html__( 'ThemeREX Updater', 'confix' ),
		'description' => esc_html__( "Update theme and theme-specific plugins from developer's upgrade server.", 'confix' ),
		'required'    => false,
		'logo'        => 'trx_updater.png',
		'group'       => $confix_theme_required_plugins_groups['other'],
	),
    'trx_popup'                  => array(
        'title'       => esc_html__( 'ThemeREX Popup', 'confix' ),
        'description' => esc_html__( "Add popup to your site.", 'confix' ),
        'required'    => false,
        'logo'        => 'trx_popup.png',
        'group'       => $confix_theme_required_plugins_groups['other'],
    )

);

if ( CONFIX_THEME_FREE ) {
	unset( $confix_theme_required_plugins['js_composer'] );
	unset( $confix_theme_required_plugins['vc-extensions-bundle'] );
	unset( $confix_theme_required_plugins['easy-digital-downloads'] );
	unset( $confix_theme_required_plugins['give'] );
	unset( $confix_theme_required_plugins['bbpress'] );
	unset( $confix_theme_required_plugins['booked'] );
	unset( $confix_theme_required_plugins['content_timeline'] );
	unset( $confix_theme_required_plugins['mp-timetable'] );
	unset( $confix_theme_required_plugins['learnpress'] );
	unset( $confix_theme_required_plugins['the-events-calendar'] );
	unset( $confix_theme_required_plugins['calculated-fields-form'] );
	unset( $confix_theme_required_plugins['essential-grid'] );
	unset( $confix_theme_required_plugins['revslider'] );
	unset( $confix_theme_required_plugins['ubermenu'] );
	unset( $confix_theme_required_plugins['sitepress-multilingual-cms'] );
	unset( $confix_theme_required_plugins['envato-market'] );
	unset( $confix_theme_required_plugins['trx_updater'] );
	unset( $confix_theme_required_plugins['trx_popup'] );
}

// Add plugins list to the global storage
confix_storage_set( 'required_plugins', $confix_theme_required_plugins );
