<?php
/**
 * The template to display Admin notices
 *
 * @package CONFIX
 * @since CONFIX 1.0.1
 */

$confix_theme_slug = get_option( 'template' );
$confix_theme_obj  = wp_get_theme( $confix_theme_slug );
?>
<div class="confix_admin_notice confix_welcome_notice update-nag">
	<?php
	// Theme image
	$confix_theme_img = confix_get_file_url( 'screenshot.jpg' );
	if ( '' != $confix_theme_img ) {
		?>
		<div class="confix_notice_image"><img src="<?php echo esc_url( $confix_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'confix' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="confix_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				esc_html__( 'Welcome to %1$s v.%2$s', 'confix' ),
				$confix_theme_obj->get( 'Name' ) . ( CONFIX_THEME_FREE ? ' ' . esc_html__( 'Free', 'confix' ) : '' ),
				$confix_theme_obj->get( 'Version' )
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="confix_notice_text">
		<p class="confix_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $confix_theme_obj->description ) );
			?>
		</p>
		<p class="confix_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'confix' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="confix_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=confix_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'confix' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" data-notice="admin" class="confix_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="confix_hide_notice_text"><?php esc_html_e( 'Dismiss', 'confix' ); ?></span></a>
	</div>
</div>
