<?php
/**
 * The template to display the Author bio
 *
 * @package CONFIX
 * @since CONFIX 1.0
 */
?>

<div class="author_info author vcard" itemprop="author" itemscope="itemscope" itemtype="<?php echo esc_attr( confix_get_protocol( true ) ); ?>//schema.org/Person">
    <?php
    $confix_mult = confix_get_retina_multiplier();
    $avatar_src = confix_get_post_image(get_avatar( get_the_author_meta( 'user_email' ), 320 * $confix_mult ));
    ?>
	<div class="author_avatar" itemprop="image" style="background-image:url(<?php echo esc_url( $avatar_src); ?>);">
	</div><!-- .author_avatar -->

	<div class="author_description">
		<h5 class="author_title" itemprop="name"><span class="fn"><?php esc_html_e( 'About', 'confix' ); ?> <?php the_author(); ?></span></h5>
		<div class="author_bio" itemprop="description">
			<?php echo wp_kses( wpautop( get_the_author_meta( 'description' ) ), 'confix_kses_content' ); ?>
            <?php do_action( 'confix_action_user_meta', 'author-bio' ); ?>
			<div class="author_links">
				<a class="author_link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
													<?php
													// Translators: Add the author's name in the <span>
													printf( esc_html__( 'View all posts by %s', 'confix' ), '<span class="author_name">' . esc_html( get_the_author() ) . '</span>' );
													?>
				</a>
			</div>
		</div><!-- .author_bio -->

	</div><!-- .author_description -->

</div><!-- .author_info -->
