<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package CONFIX
 * @since CONFIX 1.0.50
 */

$confix_template_args = get_query_var( 'confix_template_args' );
if ( is_array( $confix_template_args ) ) {
	$confix_columns    = empty( $confix_template_args['columns'] ) ? 2 : max( 1, $confix_template_args['columns'] );
	$confix_blog_style = array( $confix_template_args['type'], $confix_columns );
} else {
	$confix_blog_style = explode( '_', confix_get_theme_option( 'blog_style' ) );
	$confix_columns    = empty( $confix_blog_style[1] ) ? 2 : max( 1, $confix_blog_style[1] );
}
$confix_blog_id       = confix_get_custom_blog_id( join( '_', $confix_blog_style ) );
$confix_blog_style[0] = str_replace( 'blog-custom-', '', $confix_blog_style[0] );
$confix_expanded      = ! confix_sidebar_present() && confix_get_theme_option( 'expand_content' ) == 'expand';
$confix_components    = ! empty( $confix_template_args['meta_parts'] )
							? ( is_array( $confix_template_args['meta_parts'] )
								? join( ',', $confix_template_args['meta_parts'] )
								: $confix_template_args['meta_parts']
								)
							: confix_array_get_keys_by_value( confix_get_theme_option( 'meta_parts' ) );
$confix_post_format   = get_post_format();
$confix_post_format   = empty( $confix_post_format ) ? 'standard' : str_replace( 'post-format-', '', $confix_post_format );

$confix_blog_meta     = confix_get_custom_layout_meta( $confix_blog_id );
$confix_custom_style  = ! empty( $confix_blog_meta['scripts_required'] ) ? $confix_blog_meta['scripts_required'] : 'none';

if ( ! empty( $confix_template_args['slider'] ) || $confix_columns > 1 || ! confix_is_off( $confix_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $confix_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( confix_is_off( $confix_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $confix_custom_style ) ) . "-1_{$confix_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $confix_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $confix_columns )
					. ' post_layout_' . esc_attr( $confix_blog_style[0] )
					. ' post_layout_' . esc_attr( $confix_blog_style[0] ) . '_' . esc_attr( $confix_columns )
					. ( ! confix_is_off( $confix_custom_style )
						? ' post_layout_' . esc_attr( $confix_custom_style )
							. ' post_layout_' . esc_attr( $confix_custom_style ) . '_' . esc_attr( $confix_columns )
						: ''
						)
		);
	confix_add_blog_animation( $confix_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'confix_action_show_layout', $confix_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $confix_template_args['slider'] ) || $confix_columns > 1 || ! confix_is_off( $confix_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
