<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package CONFIX
 * @since CONFIX 1.0
 */
$confix_template_args = get_query_var( 'confix_template_args' );
if ( is_array( $confix_template_args ) ) {
	$confix_columns    = empty( $confix_template_args['columns'] ) ? 2 : max( 1, $confix_template_args['columns'] );
	$confix_blog_style = array( $confix_template_args['type'], $confix_columns );
} else {
	$confix_blog_style = explode( '_', confix_get_theme_option( 'blog_style' ) );
	$confix_columns    = empty( $confix_blog_style[1] ) ? 2 : max( 1, $confix_blog_style[1] );
}

$confix_post_format = get_post_format();
$confix_post_format = empty( $confix_post_format ) ? 'standard' : str_replace( 'post-format-', '', $confix_post_format );

?><div class="
<?php
if ( ! empty( $confix_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( confix_is_blog_style_use_masonry( $confix_blog_style[0] ) ? 'masonry_item masonry_item' : 'column' ) . '-1_' . esc_attr( $confix_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $confix_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $confix_columns )
		. ( 'portfolio' != $confix_blog_style[0] ? ' ' . esc_attr( $confix_blog_style[0] )  . '_' . esc_attr( $confix_columns ) : '' )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	confix_add_blog_animation( $confix_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$confix_hover   = 'dots';

	if ( 'dots' == $confix_hover ) {
		$confix_post_link = empty( $confix_template_args['no_links'] )
								? ( ! empty( $confix_template_args['link'] )
									? $confix_template_args['link']
									: get_permalink()
									)
								: '';
		$confix_target    = ! empty( $confix_post_link ) && false === strpos( $confix_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$confix_components = ! empty( $confix_template_args['meta_parts'] )
							? ( is_array( $confix_template_args['meta_parts'] )
								? $confix_template_args['meta_parts']
								: explode( ',', $confix_template_args['meta_parts'] )
								)
							: confix_array_get_keys_by_value( confix_get_theme_option( 'meta_parts' ) );

	// Featured image
	confix_show_post_featured(
		array(
			'hover'         => 'dots',
			'no_links'      => ! empty( $confix_template_args['no_links'] ),
			'thumb_size'    => confix_get_thumb_size(
									confix_is_blog_style_use_masonry( $confix_blog_style[0] )
										? (	strpos( confix_get_theme_option( 'body_style' ), 'full' ) !== false || $confix_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( confix_get_theme_option( 'body_style' ), 'full' ) !== false || $confix_columns < 3
											? 'big'
											: 'med'
											)
								),
			'show_no_image' => true,
			'meta_parts'    => $confix_components,
			'class'         => 'dots' == $confix_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $confix_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $confix_post_link )
												? '<a href="' . esc_url( $confix_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $confix_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!