<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package CONFIX
 * @since CONFIX 1.0.06
 */

$confix_header_css   = '';
$confix_header_image = get_header_image();
$confix_header_video = confix_get_header_video();
if ( ! empty( $confix_header_image ) && confix_trx_addons_featured_image_override( is_singular() || confix_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$confix_header_image = confix_get_current_mode_image( $confix_header_image );
}

$confix_header_id = confix_get_custom_header_id();
$confix_header_meta = get_post_meta( $confix_header_id, 'trx_addons_options', true );
if ( ! empty( $confix_header_meta['margin'] ) ) {
	confix_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( confix_prepare_css_value( $confix_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $confix_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $confix_header_id ) ) ); ?>
				<?php
				echo ! empty( $confix_header_image ) || ! empty( $confix_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $confix_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $confix_header_image ) {
					echo ' ' . esc_attr( confix_add_inline_css_class( 'background-image: url(' . esc_url( $confix_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( confix_is_on( confix_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight confix-full-height';
				}
				$confix_header_scheme = confix_get_theme_option( 'header_scheme' );
				if ( ! empty( $confix_header_scheme ) && ! confix_is_inherit( $confix_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $confix_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $confix_header_video ) ) {
		get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'confix_action_show_layout', $confix_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
