<?php
/**
 * The template to display default site header
 *
 * @package CONFIX
 * @since CONFIX 1.0
 */

$confix_header_css   = '';
$confix_header_image = get_header_image();
$confix_header_video = confix_get_header_video();
if ( ! empty( $confix_header_image ) && confix_trx_addons_featured_image_override( is_singular() || confix_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$confix_header_image = confix_get_current_mode_image( $confix_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $confix_header_image ) || ! empty( $confix_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $confix_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $confix_header_image ) {
		echo ' ' . esc_attr( confix_add_inline_css_class( 'background-image: url(' . esc_url( $confix_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( confix_is_on( confix_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight confix-full-height';
	}
	$confix_header_scheme = confix_get_theme_option( 'header_scheme' );
	if ( ! empty( $confix_header_scheme ) && ! confix_is_inherit( $confix_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $confix_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $confix_header_video ) ) {
		get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( confix_is_on( confix_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'confix_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
