<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package CONFIX
 * @since CONFIX 1.0
 */

$confix_args = get_query_var( 'confix_logo_args' );

// Site logo
$confix_logo_type   = isset( $confix_args['type'] ) ? $confix_args['type'] : '';
$confix_logo_image  = confix_get_logo_image( $confix_logo_type );
$confix_logo_text   = confix_is_on( confix_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$confix_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $confix_logo_image['logo'] ) || ! empty( $confix_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $confix_logo_image['logo'] ) ) {
			if ( empty( $confix_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($confix_logo_image['logo']) && (int) $confix_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$confix_attr = confix_getimagesize( $confix_logo_image['logo'] );
				echo '<img src="' . esc_url( $confix_logo_image['logo'] ) . '"'
						. ( ! empty( $confix_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $confix_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $confix_logo_text ) . '"'
						. ( ! empty( $confix_attr[3] ) ? ' ' . wp_kses_data( $confix_attr[3] ) : '' )
						. '>';
			}
		} else {
			confix_show_layout( confix_prepare_macros( $confix_logo_text ), '<span class="logo_text">', '</span>' );
			confix_show_layout( confix_prepare_macros( $confix_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
