<?php
/**
 * The template to display the widgets area in the header
 *
 * @package CONFIX
 * @since CONFIX 1.0
 */

// Header sidebar
$confix_header_name    = confix_get_theme_option( 'header_widgets' );
$confix_header_present = ! confix_is_off( $confix_header_name ) && is_active_sidebar( $confix_header_name );
if ( $confix_header_present ) {
	confix_storage_set( 'current_sidebar', 'header' );
	$confix_header_wide = confix_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $confix_header_name ) ) {
		dynamic_sidebar( $confix_header_name );
	}
	$confix_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $confix_widgets_output ) ) {
		$confix_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $confix_widgets_output );
		$confix_need_columns   = strpos( $confix_widgets_output, 'columns_wrap' ) === false;
		if ( $confix_need_columns ) {
			$confix_columns = max( 0, (int) confix_get_theme_option( 'header_columns' ) );
			if ( 0 == $confix_columns ) {
				$confix_columns = min( 6, max( 1, confix_tags_count( $confix_widgets_output, 'aside' ) ) );
			}
			if ( $confix_columns > 1 ) {
				$confix_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $confix_columns ) . ' widget', $confix_widgets_output );
			} else {
				$confix_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $confix_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'confix_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $confix_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $confix_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'confix_action_before_sidebar', 'header' );
				confix_show_layout( $confix_widgets_output );
				do_action( 'confix_action_after_sidebar', 'header' );
				if ( $confix_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $confix_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'confix_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
