<?php
/**
 * The style "default" of the Events
 *
 * @package ThemeREX Addons
 * @since v1.6.54.3
 */

$args = get_query_var('trx_addons_args_sc_events');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$dt = tribe_get_start_date(null, true, 'Y-m-d');
$tm = tribe_get_start_time(null, 'g:i a');
$dt2 = tribe_get_end_date(null, true, 'Y-m-d');
$tm2 = tribe_get_end_time(null, 'g:i a');

$post_link = get_permalink();

if (!empty($args['slider'])) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
	?><div class="<?php echo esc_attr(trx_addons_get_column_class(1, $args['columns'], !empty($args['columns_tablet']) ? $args['columns_tablet'] : '', !empty($args['columns_mobile']) ? $args['columns_mobile'] : '')); ?>"><?php
}
?>
<div class="sc_events_item sc_item_container post_container">
	<?php
	if (has_post_thumbnail()) {
		do_action( 'trx_addons_action_sc_events_item_before_featured', $args );
		trx_addons_get_template_part('templates/tpl.featured.php',
									'trx_addons_args_featured',
									apply_filters('trx_addons_filter_args_featured', array(
														'class' => 'sc_events_item_thumb',
														'post_info' => '',
														'thumb_size' => apply_filters('trx_addons_filter_thumb_size',
																			trx_addons_get_thumb_size(
																				(int)$args['columns'] > 2 
																					? 'medium' 
																					: 'list'
																			),
																			'events-'.$args['type']
																		),
														), 'events-'.$args['type'])
								);
		do_action( 'trx_addons_action_sc_events_item_after_featured', $args );
	}
	?>
    <div class="sc_events_item_date_wrapper">
        <a href="<?php echo esc_url($post_link) ?>" class="sc_events_item_date">
            <span class="sc_events_item_date_day"><?php echo( date_i18n('d', strtotime($dt))) ?></span>
            <span class="sc_events_item_date_month"><?php echo( date_i18n('M', strtotime($dt))) ?></span>
            <span class="sc_events_item_date_year"><?php echo( date_i18n('Y', strtotime($dt))) ?></span>
    </a>

    </div>

	<div class="sc_events_item_info">
		<div class="sc_events_item_header">
			<h5 class="sc_events_item_title"><a href="<?php echo esc_url($post_link); ?>"><?php the_title(); ?></a></h5>
            <div class="sc_events_item_meta">
                <span class="sc_events_item_meta_city">
                <?php if(tribe_get_city() != null){
                     echo tribe_get_city();
                }
            ?></span>
                <span class="sc_events_item_meta_item sc_events_item_meta_date"><span class="icon-arrow_circle"></span><?php
                if ($dt == $dt2) {
                    if ( $tm == null ) {
                        trx_addons_show_layout(date_i18n(get_option('date_format'), strtotime($dt)), '<span class="sc_events_item_meta_date_start">', '</span>');
                    } else {
                        trx_addons_show_layout(date_i18n(get_option('date_format'), strtotime($dt)) . ' ' . $tm, '<span class="sc_events_item_meta_time_start">', '</span>');
                    }
                } else {
                    if ( $tm == null ) {
                        trx_addons_show_layout(date_i18n(get_option('date_format'), strtotime($dt)), '<span class="sc_events_item_meta_date_start">', '</span>');
                        ?><span class="sc_events_item_meta_date_separator">-</span><?php
                        trx_addons_show_layout(date_i18n(get_option('date_format'), strtotime($dt2)), '<span class="sc_events_item_meta_date_end">', '</span>');
                    } else {
                        trx_addons_show_layout(  $tm, '<span class="sc_events_item_meta_date_start">', '</span>');
                        ?><span class="sc_events_item_meta_date_separator">-</span><?php
                        trx_addons_show_layout( $tm2, '<span class="sc_events_item_meta_date_end">', '</span>');
                    }
                }
                ?></span>
            </div>

		</div>
	</div>
    <div class="sc_events_item_price"><?php echo tribe_get_formatted_cost(); ?></div>
</div><?php
if (!empty($args['slider']) || (int)$args['columns'] > 1) {
	?></div><?php
}
