<?php
/**
 * The style "Masonry" of the Team
 *
 * @package ThemeREX Addons
 * @since v1.2
 */
$args = get_query_var('trx_addons_args_sc_team');

$meta = get_post_meta(get_the_ID(), 'trx_addons_options', true);
$link = empty($args['no_links']) ? get_permalink() : '';

if ($args['slider']) {
	?><div class="slider-slide swiper-slide"><?php
} else if ((int)$args['columns'] > 1) {
    if ($args['type'] == 'masonry') {
        ?><div class="masonry_item masonry_item-1_<?php echo esc_attr($args['columns']); ?>"><?php
    }
}
?>
<div data-post-id="<?php the_ID(); ?>" <?php
	post_class( 'sc_team_item sc_item_container post_container' . (empty($post_link) ? ' no_links' : '') );
	trx_addons_add_blog_animation('team', $args);
?>>
    <?php
    if (!empty($meta['socials'])) {
        ?><div class="sc_team_item_socials socials_wrap"><?php trx_addons_show_layout(trx_addons_get_socials_links_custom($meta['socials'])); ?></div><?php
    }
    ?>
    <div class="team_masonry_content">
	<?php
	// Featured image
	trx_addons_get_template_part('templates/tpl.featured.php',
								'trx_addons_args_featured',
								apply_filters('trx_addons_filter_args_featured', array(
												'class' => 'sc_team_item_thumb',
												'no_links' => empty($link),
												'hover' => 'zoomin',
												'thumb_size' => apply_filters('trx_addons_filter_thumb_size', trx_addons_get_thumb_size('confix-thumb-masonry-big'), 'team-masonry')
												), 'team-masonry')
								);
	?>
	<div class="sc_team_item_info">
		<div class="sc_team_item_header">
            <div class="sc_team_item_subtitle"><?php trx_addons_show_layout($meta['subtitle']);?></div>
			<h4 class="sc_team_item_title entry-title"><?php
				if (!empty($link)) {
					?><a href="<?php echo esc_url($link); ?>"><?php
				}
				the_title();
				if (!empty($link)) {
					?></a><?php
				}
			?></h4>
		</div>
		<?php
		if ( has_excerpt() ) {
			?><div class="sc_team_item_content"><?php the_excerpt(); ?></div><?php
		}
	?></div>
    </div>
</div><?php
if ($args['slider'] || (int)$args['columns'] > 1) {
	?></div><?php
}
?>