<?php
/**
 * The template to display Admin notices
 *
 * @package CONFIX
 * @since CONFIX 1.0.64
 */

$confix_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$confix_skins_args = get_query_var( 'confix_skins_notice_args' );

?>
<div class="confix_admin_notice confix_skins_notice update-nag">
	<?php
	// Theme image
	$confix_theme_img = confix_get_file_url( 'screenshot.jpg' );
	if ( '' != $confix_theme_img ) {
		?>
		<div class="confix_notice_image"><img src="<?php echo esc_url( $confix_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'confix' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="confix_notice_title">
		<?php esc_html_e( 'New skins available', 'confix' ); ?>
	</h3>
	<?php

	// Description
	$confix_total      = $confix_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$confix_skins_msg  = $confix_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( ( ($confix_total === 1) ? esc_html__('%d new version', 'confix') :  esc_html__('%d new versions', 'confix') ) ) . '</strong>'
							: '';
	$confix_total      = $confix_skins_args['free'];
	$confix_skins_msg .= $confix_total > 0
							? ( ! empty( $confix_skins_msg ) ? ' ' . esc_html__( 'and', 'confix' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( ( ($confix_total === 1) ? esc_html__('%d free skin', 'confix') :  esc_html__('%d free skins', 'confix') ) ) . '</strong>'
							: '';
	$confix_total      = $confix_skins_args['pay'];
	$confix_skins_msg .= $confix_skins_args['pay'] > 0
							? ( ! empty( $confix_skins_msg ) ? ' ' . esc_html__( 'and', 'confix' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( ( ($confix_total === 1) ? esc_html__('%d paid skin', 'confix') :  esc_html__('%d paid skins', 'confix') ) ) . '</strong>'
							: '';
	?>
	<div class="confix_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'confix' ), $confix_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="confix_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $confix_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'confix' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="confix_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="confix_hide_notice_text"><?php esc_html_e( 'Dismiss', 'confix' ); ?></span></a>
	</div>
</div>
